Bouncy Castle Cryptography Library 1.45

## org.bouncycastle.crypto.params
Class RSAKeyGenerationParameters

    java.lang.Object
      org.bouncycastle.crypto.KeyGenerationParameters
          org.bouncycastle.crypto.params.RSAKeyGenerationParameters

    public class RSAKeyGenerationParameters

extends KeyGenerationParameters

Constructor Summary
`RSAKeyGenerationParameters(java.math.BigInteger publicExponent, java.security.SecureRandom random, int strength, int certainty)`

Method Summary
`int` `getCertainty()`
`java.math.BigInteger` `getPublicExponent()`

Methods inherited from class org.bouncycastle.crypto.KeyGenerationParameters
`getRandom, getStrength`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RSAKeyGenerationParameters

    public RSAKeyGenerationParameters(java.math.BigInteger publicExponent,
                                      java.security.SecureRandom random,
                                      int strength,
                                      int certainty)

Method Detail

### getPublicExponent

    public java.math.BigInteger getPublicExponent()

### getCertainty

    public int getCertainty()

Bouncy Castle Cryptography Library 1.45